ISASTREAM(3P)

NAME
isastream - test a file descriptor (STREAMS)

SYNOPSIS

#include <stropts.h>

int isastream(int fildes);

DESCRIPTION

The isastream() function shall test whether fildes, an open file descriptor, is associated with a STREAMS-based file.

RETURN VALUE

Upon successful completion, isastream() shall return 1 if fildes refers to a STREAMS-based file and 0 if not. Otherwise, isastream() shall return -1 and set errno to indicate the error.

ERRORS

The isastream() function shall fail if:

EBADF
    The fildes argument is not a valid open file descriptor.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

The Base Definitions volume of IEEE Std 1003.1-2001, <stropts.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .